PG(1)

BEZEICHNUNG
pg - Textdateien seitenweise durchsuchen

ÜBERSICHT
pg [-Zahl] [-p Zeichenkette] [-cefnrs] [+Zeile] [+/Muster/] [Datei …]

BESCHREIBUNG
pg zeigt eine Textdatei auf einem CRT seitenweise an. Nach jeder Seite wird eine Eingabeaufforderung angezeigt. Dann kann der Benutzer entweder eine neue Zeile auslösen (Eingabetaste), um die nächste Seite anzuzeigen oder eine der nachfolgend beschriebenen Tasten drücken.

Falls in der Befehlszeile kein Dateiname angegeben wird, liest pg aus der Standardeingabe. Wenn die Standardausgabe kein Terminal ist, arbeitet pg wie cat(1), aber stellt jeder Datei deren Namen voran, sofern es mehrere Dateien gibt.

Falls die Eingabe aus einer Weiterleitung (Pipe) stammt, speichert pg die Daten während des Lesens in einem Puffer, um trotzdem die Navigation zu ermöglichen.

OPTIONEN
pg akzeptiert die folgenden Optionen:

-Anzahl
    legt die Zeilenanzahl pro Zeile fest. Üblicherweise ist dies die Anzahl der Zeilen in CRT minus eins.

-c  leert den Bildschirm, bevor eine Seite angezeigt wird, sofern der terminfo-Eintrag für dieses Terminal diese Fähigkeit bereitstellt.

-e  pausiert nicht und zeigt (EOF) am Ende der Datei an.

-f  verhindert das Umbrechen langer Zeilen.

-n  Ohne diese Option müssen Befehle stets mit einem Zeichen für eine neue Zeile abgeschlossen werden. Mit dieser Option wird pg unmittelbar aufgerufen, sobald ein Befehlsbuchstabe eingegeben wird.

-p Zeichenkette
    Anstelle der normalen Eingabeaufforderung : wird eine Zeichenkette angezeigt. Falls die Zeichenkette %d enthält, wird dessen erstes Vorkommen durch die Nummer der aktuellen Seite ersetzt.

-r  deaktiviert die Escape-Sequenzen der Shell.

-s  gibt Meldungen im standout-Modus aus, sofern der terminfo-Eintrag für dieses Terminal diese Fähigkeit bereitstellt.

+Nummer
    beginnt in der angegebenen Zeile.

+/Muster/
    beginnt in der Zeile, die durch den regulären Ausdruck in Muster angegeben wird.

VERWENDUNG
Die folgenden Befehle können in der Eingabeaufforderung angegeben werden. Die Befehle, denen in diesem Dokument ein i vorangestellt ist, akzeptieren eine positive oder negative Zahl als Argument. Wenn das Argument mit + oder -, beginnt, dann wird es relativ zur aktuellen Position in der Eingabedatei interpretiert, anderenfalls relativ zum Anfang.

i<neue Zeile>
    zeigt die nächste oder angegebene Seite an.

id or ^D
    zeigt die nächste Halbseite an. Wenn i angegeben ist, wird dies immer als relativ zur aktuellen Position interpretiert.

il  zeigt die nächste oder angegebene Zeile an.

if  springt eine Seite vor. i muss eine positive Zahl sein und wird immer als relativ zur aktuellen Position interpretiert.

iw oder iz
    verhält sich wie <neue Zeile>, außer dass i als neue Seitengröße gewählt wird.

. oder ^L
    aktualisiert den Bilschirminhalt.

$   springt zur letzten Zeile der Eingabedatei.

i/Muster/
    sucht vorwärts, bis zum ersten Vorkommen des im Muster angegebenen regulären Ausdrucks. Die Suche beginnt nach der aktuellen Seite und stoppt am Ende der Datei. Die Suche wird nicht am Anfang fortgesetzt. i muss eine positive Zahl sein.

i?Muster? or i^Muster^
    sucht rückwärts, bis zum i-ten Vorkommen des im Muster angegebenen regulären Ausdrucks. Die Suche beginnt vor der aktuellen Seite und stoppt am Anfang der Datei. Die Suche wird nicht am Ende fortgesetzt. i muss eine positive Zahl sein.

Der Suchbefehl akzeptiert einen weiteren Buchstaben. Wenn t angegeben wird, dann wird die Zeile, die das Muster enthält, am oberen Rand des Bildschirms angezeigt (Vorgabe). m wählt die Mitte und b den unteren Rand des Bildschirms für die Anzeige. Die ausgewählte Position wird auch in folgenden Suchvorgängen verwendet.

in  springt zur nächsten Datei oder i Dateien vor.

ip  springt zur vorherigen Datei oder i Dateien zurück.

s Dateiname
    speichert die aktuellen Datei unter dem angegebenen Dateinamen.

h   zeigt eine Zusammenfassung zum Befehlsaufruf an.

!Befehl
    führt den Befehl in der Shell aus.

q oder Q
    beendet das Programm.

Sobald der Benutzer die Abbruch- oder Beenden-Taste drückt, während pg aus der Eingabedatei liest oder in das Terminal schreibt, zeigt pg unmittelbar eine Eingabeaufforderung an. In allen anderen Situationen führen die genannten Tastendrücke direkt zum Beenden von pg.

UMGEBUNGSVARIABLEN
Die folgenden Umgebungsvariablen beeinflussen das Verhalten von pg:

COLUMNS
    überschreibt die vom System vorgegebene Spaltenanzahl, falls gesetzt.

LANG, LC_ALL, LC_COLLATE, LC_CTYPE, LC_MESSAGES
    Siehe locale(7).

LINES
    überschreibt die vom System vorgegebene Zeilenanzahl, falls gesetzt.

SHELL
    wird vom !-Befehl verwendet.

TERM
    bestimmt den Typ des Terminals.

SIEHE AUCH
cat(1), more(1), sh(1), terminfo(5), locale(7), regex(7), term(7)

ANMERKUNGEN
pg erwartet eine Tabulatorbreite des Terminals von acht Zeichen.

Dateien, die das Zeichen NUL enthalten, können durch pg nicht dargestellt werden.

VERFÜGBARKEIT
Der Befehl pg ist Teil des Pakets util-linux und kann von ftp://ftp.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.